package p24_pliki;

import java.io.BufferedReader;
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Paths;

public class Odczyt3_BufferedReader_Inaczej {

	public static void main(String[] args) {
		// Od Javy 7 można w inny sposób tworzyć obiekt BufferedReader.
		// Przy okazji w tej wersji wczytanie linii oraz sprawdzenie czy nie null zapiszemy bezp. w while
		try(BufferedReader in = Files.newBufferedReader(Paths.get("pliki/pan_tadeusz.txt"))) {
			String linia;
			while((linia = in.readLine()) != null) {
				System.out.println(linia);
			}
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

}
